﻿using System;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Collections.Generic;
using System.Diagnostics;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;

namespace eventNotifications
{
    class eventNotification
    {
        private static string API_URL = "https://sandbox.e-signlive.com/api";
        private static string API_KEY = "your_api_key";
        private static string URL = "http://my.url.com";
        private static string KEY = "myCallbackKey";

        public static void Main(string[] args)
        {
            string content = "{\"url\":\"" + URL + "\",\"key\":\"" + KEY + "\",\"events\":[\"PACKAGE_CREATE\",\"PACKAGE_DECLINE\",\"PACKAGE_COMPLETE\"]}";
            StringContent json = new StringContent(content, Encoding.UTF8, "application/json");

            HttpClient myClient = new HttpClient();
            myClient.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", API_KEY);
            myClient.DefaultRequestHeaders.Add("Accept", "application/json,text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8");
            var response = myClient.PostAsync(new Uri(API_URL + "/callback"), json).Result;
        }
    }
}